VDB-92999 · CVE-2016-6431 · BID 93786

Cisco ASA up to 9.6 Local Certificate Authority Enrollment Request input validation

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.3$0-$5k0.00

A vulnerability, which was classified as critical, has been found in Cisco ASA up to 9.6 (Firewall Software). This issue affects an unknown code of the component Local Certificate Authority. The manipulation as part of a Enrollment Request leads to a input validation vulnerability. Using CWE to declare the problem leads to CWE-20. The product receives input or data, but it does not validate or incorrectly validates that the input has the properties that are required to process the data safely and correctly. Impacted is availability.

The weakness was shared 10/19/2016 as cisco-sa-20161019-asa-ca / CSCuz47295 as confirmed advisory (Website). It is possible to read the advisory at tools.cisco.com. The identification of this vulnerability is CVE-2016-6431 since 07/26/2016. The attack may be initiated remotely. No form of authentication is needed for a successful exploitation. The technical details are unknown and an exploit is not publicly available.

The vulnerability scanner Nessus provides a plugin with the ID 94291 (Cisco ASA Certificate Authority Enrollment Operation Packet Handling DoS (cisco-sa-20161019-asa-ca)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family CISCO and running in the context l. The advisory illustrates:

Only HTTPS packets directed to the Cisco ASA interface, where the local CA is allowing user enrollment, can be used to trigger this vulnerability. This vulnerability affects systems configured in routed firewall mode and in single or multiple context mode.

Applying a patch is able to eliminate this problem. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (94291). The entries 93000 and 92998 are related to this item.

Productinfo

Type

Vendor

Name

Version

License

Support

  • end of life (old version)

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 7.5
VulDB Meta Temp Score: 7.3

VulDB Base Score: 7.5
VulDB Temp Score: 7.2
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 7.5
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Input validation
CWE: CWE-20
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 94291
Nessus Name: Cisco ASA Certificate Authority Enrollment Operation Packet Handling DoS (cisco-sa-20161019-asa-ca)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 64478
OpenVAS Name: Cisco ASA Software Local Certificate Authority Denial of Service Vulnerability
OpenVAS File: 🔍
OpenVAS Family: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Patch
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Timelineinfo

07/26/2016 🔍
10/19/2016 +85 days 🔍
10/19/2016 +0 days 🔍
10/19/2016 +0 days 🔍
10/19/2016 +0 days 🔍
10/20/2016 +1 days 🔍
10/26/2016 +6 days 🔍
10/27/2016 +1 days 🔍
09/28/2022 +2162 days 🔍

Sourcesinfo

Vendor: cisco.com

Advisory: cisco-sa-20161019-asa-ca / CSCuz47295
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2016-6431 (🔍)
SecurityTracker: 1037060
SecurityFocus: 93786 - Cisco Adaptive Security Appliance (ASA) Software CVE-2016-6431 Denial of Service Vulnerability

See also: 🔍

Entryinfo

Created: 10/20/2016 08:59 AM
Updated: 09/28/2022 08:47 AM
Changes: 10/20/2016 08:59 AM (71), 05/13/2019 02:12 PM (12), 09/28/2022 08:47 AM (4)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you know our Splunk app?

Download it now for free!